Subject: bug#51572: [PATCH] tree-sitter-lock-mode

From: Fu Yuan <[email-masked]>
Date: Sun, 7 Nov 2021 09:21:08 -0800

> 在 2021年11月4日，下午12:31，Eli Zaretskii <[email-masked]> 写道：
> 
> 
>> 
>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Thu, 04 Nov 2021 19:47:16 +0100
>> Cc: [email-masked]
>> 
>> So I'm not sure where we're going with this.  Anybody got an opinion?
> 
> What's the status of the tree-sitter support that Yuan Fu (CC'ed) was
> working on?  I thought he was very close to completion.

Sorry that I missed this. The code only lacks manual for indentation and font-lock integration. I was waiting for someone to suggest some improvement in that two area before writing the manual but so far no one has provided any. I’ll probably just write the manual and call it done. I’m also waiting for the author of tree-sitter to 1) release 1.0 and 2) allow changing malloc mechanism on run-time.

Yuan